Bug 489062 - Awful performance with ati open drivers
Awful performance with ati open drivers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 19:25 EST by ufa
Modified: 2009-12-18 03:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:58:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (188.60 KB, text/plain)
2009-03-06 19:25 EST, ufa
no flags Details
dmesg (40.45 KB, text/plain)
2009-03-06 19:26 EST, ufa
no flags Details

  None (edit)
Description ufa 2009-03-06 19:25:50 EST
Created attachment 334373 [details]
Xorg log

Description of problem:

My ati video drivers are giving very bad performance comparated with other distributions (ubuntu live-cd)


Version-Release number of selected component (if applicable):


How reproducible:

Often


Steps to Reproduce:
1. Turn on the computer
2. Use the desktop for a while

  
Actual results:

Mouse and keyboard freezing and returning, like if the CPU was topped (and it wasn't). They freeze and back. Connection in ssh shows no problem during this. 
Sometimes lockups occurs, and a reboot is necessary

Seems a Xorg or driver issue.

Expected results:
Agile desktop for the hardware (amd X2 4400, 4 GB RAM dual channel, video card ati x600)

Additional info: xorg-x11-xorg-x11-drv-ati.x86_64  version: 6.10.0-2.fc10
Comment 1 ufa 2009-03-06 19:26:55 EST
Created attachment 334374 [details]
dmesg
Comment 2 ufa 2009-03-07 10:11:30 EST
My glxgears results (I know it doesn't count as a benchmark...)

374 frames in 5.0 seconds = 74.653 FPS
925 frames in 5.0 seconds = 184.671 FPS
364 frames in 5.0 seconds = 72.698 FPS
359 frames in 5.0 seconds = 71.771 FPS
189 frames in 7.0 seconds = 26.899 FPS
113 frames in 6.9 seconds = 16.416 FPS
7 frames in 6.0 seconds =  1.160 FPS
4 frames in 6.0 seconds =  0.666 FPS
11 frames in 6.1 seconds =  1.804 FPS
5 frames in 6.0 seconds =  0.829 FPS
6 frames in 6.0 seconds =  0.998 FPS
Comment 3 ufa 2009-03-14 13:48:45 EDT
I can confirm that disabling KMS with nomodeset stops this behaviour. Iam getting normal usage now with this setting.
Comment 4 Mališa 2009-06-26 20:31:50 EDT
Hi,
I'm first time here and I not sure to I write on right place. Today after auto update have problem.
ATI HD3200 graphic card, with enabled compiz and flgrx driver get black screen after restart on Fedora 10. I log in with putty from my laptop and change in xorg conf to load dri radeon driver temporary. I back in xorg.conf to load flgrx works fine without compiz, but unable to start 3D desktop defect.
Comment 5 Jérôme Glisse 2009-10-06 14:49:36 EDT
Do you experience such issue with Fedora beta live cd ?
Comment 6 Mališa 2009-10-07 10:51:40 EDT
I don't try fedora live beta. Is not fedora issues. Fedora maybe only can do to check when user do update to not install open source driver if there exists fglrx. Problem is  with kernel 2.6.27+ i think. If you want run fglrx on this kernel must first clear open source driver from kernel.
But I back to fedora 10 works perfect.
Comment 7 Michal Schmidt 2009-10-16 08:24:25 EDT
The kernel in Fedora 12 Beta still has lots of debugging options turned on, which makes KMS slower than usual. At least on my hardware (RS690M) KMS got visibly faster after I recompiled the kernel without debugging. I'm sure these options will be turned off before the final F12 release.
Even with debugging off I can still measure some slowdown in gtkperf when using KMS compared to nomodeset, but it's definitely not "awful" anymore. In normal desktop usage KMS is now quite comfortable.
Comment 8 Bug Zapper 2009-11-18 06:18:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 03:58:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.